> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Transcript Get

## Description

Downloads the transcript for a given media ID in various formats


## OpenAPI

````yaml get /v2/download/{media_id}/transcript
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v2/download/{media_id}/transcript:
    get:
      tags:
        - transcript
      summary: Download Transcript Get
      operationId: download_transcript_get_v2_download__media_id__transcript_get
      parameters:
        - name: media_id
          in: path
          required: true
          schema:
            type: string
            title: Media Id
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
            default: source
        - name: layout
          in: query
          required: false
          schema:
            type: string
            enum:
              - compact
              - detailed
            title: Layout
            default: compact
        - name: file_format
          in: query
          required: false
          schema:
            type: string
            enum:
              - json
              - csv
              - tsv
              - txt
            title: File Format
            default: txt
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '404':
          content:
            application/json:
              example:
                detail: Transcript Not Found
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````